"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
exports.servicePattern = /service/;
exports.contextPattern = /context/;
exports.contextInterfacePattern = /IAppContext/;
exports.injectorPattern = /injector/;
exports.serviceFilePrefix = "import {Injectable} from 'injection-js'\n\n" + '@Injectable()\n' + 'export class ';
exports.importServicePrefix = '@src/services';
exports.serviceFileSuffix = ' {\n}';
exports.serviceFileNameSuffix = 'Service';
exports.injectorStartSeparators = ['(['];
exports.contextStartSeparators = ['return {', 'return{'];
exports.contextInterfaceStartSeparators = ['{'];
exports.injectorSignatureFn = (serviceName) => '  ' + serviceName + ',';
exports.contextSignatureFn = (serviceName) => '    ' + _.lowerFirst(serviceName) + ': ' + 'injector.get(' + serviceName + '),';
exports.contextInterfaceSignatureFn = (serviceName) => '  ' + _.lowerFirst(serviceName) + ': ' + serviceName;
//# sourceMappingURL=service-files-constants.js.map