"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
const format = winston.format;
const logger = winston.createLogger({
    level: 'info',
    format: winston.format.json(),
    transports: [
        new winston.transports.Console({
            format: format.combine(format.colorize(), format.simple())
        })
    ]
});
exports.default = logger;
//# sourceMappingURL=logger.js.map