"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const spawn_ = require("cross-spawn");
const spawn = spawn_;
function shell(command) {
    return new Promise((resolve, reject) => {
        const commandParts = command.split(' ');
        const cmd = spawn(commandParts[0], commandParts.slice(1), {
            cwd: process.cwd(),
            detached: false,
            stdio: 'inherit',
        });
        cmd.on('error', reject);
        cmd.on('close', resolve);
    });
}
exports.shell = shell;
//# sourceMappingURL=shell.js.map