export interface CommandOptions {
    optionsPattern: string[];
    optionsDescription: string[];
}
export declare abstract class AbstractCommand {
    abstract getName(): string;
    abstract getDescription(): string;
    abstract getAlias(): string;
    abstract getAction(): (...args: any[]) => void;
    getOptions(): CommandOptions;
}
