export declare const servicePattern: RegExp;
export declare const contextPattern: RegExp;
export declare const contextInterfacePattern: RegExp;
export declare const injectorPattern: RegExp;
export declare const serviceFilePrefix: string;
export declare const importServicePrefix = "@src/services";
export declare const serviceFileSuffix = " {\n}";
export declare const serviceFileNameSuffix = "Service";
export declare const injectorStartSeparators: string[];
export declare const contextStartSeparators: string[];
export declare const contextInterfaceStartSeparators: string[];
export declare const injectorSignatureFn: (serviceName: string) => string;
export declare const contextSignatureFn: (serviceName: string) => string;
export declare const contextInterfaceSignatureFn: (serviceName: string) => string;
