export declare type FileType = 'file' | 'dir';
export declare function writeToFile(pathToFile: string, content: string): Promise<void>;
export declare function fileExists(pathToFile: string): Promise<boolean>;
export declare function locateFile(pattern: object | undefined, rootPath: string, fileType: FileType): Promise<string[]>;
export declare function readFileContent(pathToFile: string): Promise<string>;
export declare function findCommonPath(stringsToCheck: string[]): string;
