import { AbstractCommand, CommandOptions } from '../abstract-command';
export declare class Service extends AbstractCommand {
    private parser;
    constructor();
    getName(): string;
    getDescription(): string;
    getAlias(): string;
    getOptions(): CommandOptions;
    getAction(): (...args: any[]) => void;
    private createServiceFile;
    private writeServiceFile;
    private getServiceFileContent;
    private getServiceClassName;
    private modifyServiceDefinitionFile;
    private getModifiedFileContent;
    private getImportDefinitions;
    private getServiceImportLine;
    private locationInsideServicesDir;
    private getModifiedServiceDefinitions;
    private getDeclarationContentByDefType;
    private addServiceToPreviousDefinition;
}
